Page MenuHomePhabricator

Provide a "Cancel" control in edit mode for ZObjects
Closed, ResolvedPublic

Assigned To
Authored By
Etonkovidova
May 17 2023, 3:30 PM
Referenced Files
Restricted File
Jun 29 2023, 4:14 PM
Restricted File
Jun 29 2023, 4:14 PM
Restricted File
Jun 29 2023, 4:14 PM
F37121893: image.png
Jun 28 2023, 8:38 AM
F37121891: image.png
Jun 28 2023, 8:38 AM
F37121009: image.png
Jun 27 2023, 1:42 PM
F37121006: image.png
Jun 27 2023, 1:42 PM
F37121003: image.png
Jun 27 2023, 1:42 PM

Description

A follow-up task for https://phabricator.wikimedia.org/T333587#8857676

  1. A user switch to editing mode on TypedList (for example, https://wikifunctions.beta.wmflabs.org/w/index.php?title=Z10486&action=edit&view=default-view).
  2. A user performs some actions, i.e. add/delete items - there no Cancel button on a page. To restore a page's state, a user needs to reload a page.

Note: Edit Function page has "Cancel" button.

Event Timeline

Jdforrester-WMF renamed this task from TypedList- Cancel button is not present to Provide a "Cancel" control in edit mode for ZObjects.Jun 8 2023, 9:17 PM
Jdforrester-WMF triaged this task as High priority.
AAlhazwani-WMF changed the task status from Open to In Progress.Jun 27 2023, 10:29 AM
AAlhazwani-WMF claimed this task.

when picking up this task might be a good opportunity to introduce a product-wide "publish widget".

this widget is visible only when "edit source" is active, and it's usually displayed in the top right corner (in LTR languages). it has two states:

  • one when no edits have been made
  • and the other when there are unpublished edits

{F37123245}

the widget buttons open the respective dialogs:

  • one for discarding changes
  • and the other for publishing changes

{F37123248}

and this is an example of potential editing/discarding/publishing flow.

{F37123250}

for a detailed review please refer to the figma file https://www.figma.com/file/wEXU2zdsLedvuQ3Et5dzqX/T336877-Publish-widget?type=design&node-id=0%3A1&mode=dev

Change 939715 had a related patch set uploaded (by Genoveva Galarza; author: Genoveva Galarza):

[mediawiki/extensions/WikiLambda@master] Add cancel button and exit strategy to Publish Widget

https://gerrit.wikimedia.org/r/939715

Change 939715 merged by jenkins-bot:

[mediawiki/extensions/WikiLambda@master] Add cancel button and exit strategy to Publish Widget

https://gerrit.wikimedia.org/r/939715